Skip to content
iTick
  1. Docs
  2. REST API
  3. Basic Data
  4. Product List

Product List

Covers Real-Time and Historical Data for Global Major Markets Including Chinese, US, and Hong Kong Stocks, Global Forex, Indices, Futures, Funds, and Crypto.

GET/symbol/list

Request Parameters

typeenumRequired

Product category stock | forex | indices | crypto | future | fund

regionenumRequired

Market code. Stocks include (HK, SZ, SH, US, SG, JP, TW, IN, TH, DE, MX, MY, TR, ES, NL, GB, ID, VN), Forex (GB), Indices (GB), Crypto (BA), Future(US, HK, CN), Funds (US)

codestring

Product code

Response Parameters

codenumber

Response code

msgstring

Response description

dataarray(object)▶Response result
cstring

Product code

nstring

Product name

tstring

Type such as stock | forex | indices | crypto | future | fund

estring

Exchange

Code Examples

import requests

url = "https://api.itick.org/symbol/list?type=stock&region=hk&code=700"

headers = {
"accept": "application/json"
"token": "Your Token"
}

response = requests.get(url, headers=headers)

print(response.text)

Query URL

GEThttps://api.itick.org/symbol/list?type=stock&region=HK&code=700

, Run query

Response Result

{
  "code": 0,
  "msg": "ok",
  "data": [
    {
      "c": "700",
      "n": "騰訊控股",
      "t": "stock",
      "e": "HKEX",
      "s": null,
      "l": "tencent"
    }
  ]
}